[Bug 257211] Re: please backport rsync 3 from Intrepid to Hardy

Louis-Dominique Dubeau ldd at lddubeau.com
Wed Jan 28 11:53:36 GMT 2009

Reading other comments, I perceive that there is confusion about the
compatibility between 2.6 and 3.0.x.

It is simply not true that *in all cases* 2.6 can talk with 3.0.x.

Whether or not a 2.6 can talk to a 3.0.x depends on the the *actual
arguments* passed to the client.  In my earlier report you can see that
the 2.6 and 3.0.3 cannot talk together because the parameter "--acls"
was used.   If "--acls" had not been used, they would probably have
talked together fine.  3.0.x degrades its protocol only as much as it
possibly can while at the same time still provide the features new to
the 3.0.x series.

The only way to have full compatibility *in all cases* is to have the
same version (or maybe different version of the same series is enough)
on both the client and the server.

please backport rsync 3 from Intrepid to Hardy
You received this bug notification because you are a member of Ubuntu
Package Archive Administrators, which is a direct subscriber.

More information about the ubuntu-archive mailing list